Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.ext.x3d.exportation
Class TransformExport

    java.lang.Object
      de.grogra.ext.x3d.exportation.TransformExport

    public class TransformExport

extends java.lang.Object

Constructor Summary
`TransformExport()`

Method Summary
`static de.grogra.ext.x3d.xmlbeans.TransformDocument.Transform` | `handleTransform(Matrix4d matrix, de.grogra.ext.x3d.xmlbeans.TransformDocument.Transform parent)`
`static de.grogra.ext.x3d.xmlbeans.TransformDocument.Transform` | `handleTransform(Matrix4d matrix, de.grogra.ext.x3d.xmlbeans.TransformDocument.Transform parent, boolean isAxis, Node node, GraphState gs)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransformExport

    public TransformExport()

Method Detail

### handleTransform

    public static de.grogra.ext.x3d.xmlbeans.TransformDocument.Transform handleTransform(Matrix4d matrix,
                                                                                         de.grogra.ext.x3d.xmlbeans.TransformDocument.Transform parent)

### handleTransform

    public static de.grogra.ext.x3d.xmlbeans.TransformDocument.Transform handleTransform(Matrix4d matrix,
                                                                                         de.grogra.ext.x3d.xmlbeans.TransformDocument.Transform parent,
                                                                                         boolean isAxis,
                                                                                         Node node,
                                                                                         GraphState gs)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD